import { select,csv,scaleBand,scaleLinear,max,axisLeft} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const render=data=>{
  const xValue=d=>d.population;
  const yValue=d=>d.country;
  const margin={top:20,right:20,bottom:20,left:20}
  const innerWidth=width-margin.left-margin.right;
  const innerheight=height-margin.top-margin.bottom;
const xScale=scaleLinear().
domain([0,max(data,xValue)]).
range([0,innerWidth]);
  
  const xAxis=axisLeft();
  
  const yScale=scaleBand().domain(data.map(yValue)).range([0,innerheight]);
  
  const g=svg.append('g').attr('transform',`translate(${margin.left},${margin.top})`);
  
  g.selectAll('rect').data(data).
  enter().append('rect').
  attr('y',d=>yScale(yValue(d))).
  attr('width',d=>xScale(xValue(d))).
  attr('height',yScale.bandwidth());
};

csv('data.csv').then(data=>{
  data.forEach(d=>{
    d.population=+d.population*1000;
  });
  render(data);
});













